Search Column

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/column
API call form
Examples

Search and retrieve columns. Only users who have read access to the dataset to which the column is associated, can retrieve the columns of that dataset.

Embed tokens of a tenant only see shared columns (columns without tenant assignments) and the columns assigned to their own tenant. Callers without a tenant see every column. Discovered fields of a tenant dataset source that are not saved yet are not returned here; they are returned when the tenant retrieves the dataset with a Column include.

Request parametersResponse schema
Expand all Reset
find *OBJECTrequired
search OBJECT
where OBJECT
attributes ARRAY[STRING]
include ARRAY[OBJECT]
order ARRAY
limit NUMBER
offset NUMBER
Can be executed by:
Securable Reader
Can be associated to:
Securable
Joins
HierarchyLevels
Currency
Tenants
Did this page help you?
Yes No
Language
Shell
Node
Java
.NET
Python
PHP
Install
npm install @luzmo/nodejs-sdk
Example Response
200
400
500
{
  "count": 1,
  "rows": [
    {
      "id": "cfc29a4a-c144-4ba3-9a0f-26a1da6a6994",
      "name": {
        "en": "Purchase value"
      },
      "description": null,
      "order": 3,
      "source_name": "purchase_value",
      "type": "numeric",
      "subtype": null,
      "format": ".0f",
      "informat": "numeric",
      "previous_datetime_informat": null,
      "color": "#9ecae1",
      "prefix": null,
      "suffix": null,
      "isLabel": false,
      "minBound": null,
      "maxBound": null,
      "cardinality": null,
      "lowestLevel": 0,
      "highestLevel": 0,
      "minimum": null,
      "maximum": null,
      "expression": null,
      "derivation": null,
      "version": 0,
      "width": 170,
      "hierarchy_enabled": false,
      "ordering_enabled": false,
      "colors_enabled": true,
      "aggregation_type": "sum",
      "custom_aggregations": null,
      "custom_metadata": null,
      "duration_levels": null,
      "duration_format": "long",
      "created_at": "2024-01-16T15:21:37.925Z",
      "updated_at": "2024-02-06T14:01:50.053Z",
      "securable_id": "807623f5-ac65-4022-bc87-595b412ce397",
      "aggregation_id": null,
      "currency_id": null
    }
  ]
}